Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005356OCamlOCamlbuild (the tool)public2011-09-15 18:092012-09-25 20:07
Reporterdario 
Assigned Toxclerc 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.12.1 
Target VersionFixed in Version3.12.1+dev 
Summary0005356: OCamlbuild's 'predicate' tag badly translated into OCamlfind parameter
DescriptionAs part of OCamlbuild's native support for OCamlfind, the special tag 'predicate' may be used to select any predicates declared with a package.

The bug is that OCamlbuild translates a 'predicate(foo)' tag into '-predicate foo', whereas OCamlfind expects '-predicates foo'. Note the missing 's'...

Relevant section of OCamlfind manual:
http://projects.camlcity.org/projects/dl/findlib-1.2.7/doc/guide-html/x307.html [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-09-15 18:09 dario New Issue
2011-09-19 12:05 xclerc Status new => resolved
2011-09-19 12:05 xclerc Fixed in Version => 3.12.1+dev
2011-09-19 12:05 xclerc Resolution open => fixed
2011-09-19 12:05 xclerc Assigned To => xclerc
2012-02-02 15:17 protz Category OCamlbuild => OCamlbuild (the tool)
2012-09-25 20:07 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker